CREATE TABLE asm_fo_bp_or_task (
    FILTER_OPTION_BO_TASK_ID    NUMBER(18, 0),
    FILTER_OPTION_ID            NUMBER(18, 0)    NOT NULL,
    BUSINESS_PROCESS_ID         NUMBER(18, 0),
    TASK_ID                     NUMBER(18, 0),
    ENTERPRISE_ID               NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    FILTER_OPTION_BO_TASK_ID    NUMBER(18, 0),
    FILTER_OPTION_ID            NUMBER(18, 0)    NOT NULL,
    BUSINESS_PROCESS_ID         NUMBER(18, 0),
    TASK_ID                     NUMBER(18, 0),
    ENTERPRISE_ID               NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    CONSTRAINT pk_asm_fo_bp_or_task PRIMARY KEY (FILTER_OPTION_BO_TASK_ID, FILTER_OPTION_BO_TASK_ID)
);
